Subject: Re: Outstanding protocol issues

From: "Jim Sermersheim" <[email-masked]>
Date: Sun, 15 Feb 2004 22:33:23 -0700

>>> "Kurt D. Zeilenga" <[email-masked]> 2/15/04 10:04:50 PM >>>
>I think it could be argued that adding of the context prefix
>to DSA is an implementation-specific issue and, hence, beyond
>the scope of the specification.
>
>I think the sentence in question was meant to not that where
>the entry to add is not within any context this server masters,
>and the server has superior knowledge, the server may return
>a referral.

or any knowledge (it could be subordinate, or cross as well). Anyway, I
agree. 

>I think the sentence should be replaced with something that
>captures this. 
 
I'll opt for that, rather than the more specific language previously
suggested.
 
>Additionally, it might be appropriate to say
>that establishment of a naming context and addition of an entry
>at the context prefix (as well as knowledge information in
>the superior context) is not standardized.

If we want to go this far, there are other types of IT data that should
be called out (glue, references, etc.). I would rather that [Models]
make a generic statement regarding the non-specification of the
distributed information tree.
 
Jim

>Kurt

>At 08:35 PM 2/15/2004, Jim Sermersheim wrote:
>The last issue I'm tracking is this from a private message from
Hallvard:
> 
>>> 4.7. Add Operation
>>
>>> If the parent entry exists
>>> but is not in a naming context held by the server, the server
SHOULD
>>> return a referral to the server holding the parent entry.
>>
>>This is wrong when adding the root entry of the naming context.
> 
>I believe that the act of adding a context prefix is still under
specified in LDAP (as is the entire distributed data model). But my read
of X.511 says that the ManageDsaIT control is used to add this and other
entries that make up the information tree.
> 
>I think that when the IETF defines the distributed data model, and the
management of that model, this statement will still be fine (it's just a
SHOULD).
> 
>Maybe what I'll do is change it to say:
> 
>In the absence of distributed data management directives, if the
parent entry exists but is not in a naming context held by the server,
the server SHOULD return a referral to the server holding the parent
entry.
>Jim